Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1571525 - [abrt] PackageKit: CRYPTO_zalloc(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: CRYPTO_zalloc(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:55af39714c631bd08be61eeb010...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 05:04 UTC by mastaiza
Modified: 2019-05-28 20:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:15:59 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (38.98 KB, text/plain)
2018-04-25 05:04 UTC, mastaiza
no flags Details
File: cgroup (184 bytes, text/plain)
2018-04-25 05:04 UTC, mastaiza
no flags Details
File: core_backtrace (23.08 KB, text/plain)
2018-04-25 05:04 UTC, mastaiza
no flags Details
File: cpuinfo (1.24 KB, text/plain)
2018-04-25 05:04 UTC, mastaiza
no flags Details
File: dso_list (8.70 KB, text/plain)
2018-04-25 05:04 UTC, mastaiza
no flags Details
File: environ (191 bytes, text/plain)
2018-04-25 05:04 UTC, mastaiza
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-25 05:04 UTC, mastaiza
no flags Details
File: maps (38.29 KB, text/plain)
2018-04-25 05:04 UTC, mastaiza
no flags Details
File: mountinfo (3.53 KB, text/plain)
2018-04-25 05:04 UTC, mastaiza
no flags Details
File: open_fds (7.70 KB, text/plain)
2018-04-25 05:04 UTC, mastaiza
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-04-25 05:04 UTC, mastaiza
no flags Details
File: var_log_messages (4.55 KB, text/plain)
2018-04-25 05:04 UTC, mastaiza
no flags Details
File: backtrace (47.65 KB, text/plain)
2018-05-16 09:55 UTC, Giacomo Longo
no flags Details

Description mastaiza 2018-04-25 05:04:24 UTC
Version-Release number of selected component:
PackageKit-1.1.9-3.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 3
cmdline:        /usr/libexec/packagekitd
crash_function: CRYPTO_zalloc
executable:     /usr/libexec/packagekitd
journald_cursor: s=4ec0c3acc1bb4d7580d85f5336bfd695;i=d962;b=6d42db1a78c94b73a6a8d56d1373d870;m=ae89dfcd2;t=56a523fade80e;x=422995cf78c1a165
kernel:         4.16.2-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 1 mastaiza 2018-04-25 05:04:31 UTC
Created attachment 1426395 [details]
File: backtrace

Comment 2 mastaiza 2018-04-25 05:04:32 UTC
Created attachment 1426396 [details]
File: cgroup

Comment 3 mastaiza 2018-04-25 05:04:35 UTC
Created attachment 1426397 [details]
File: core_backtrace

Comment 4 mastaiza 2018-04-25 05:04:36 UTC
Created attachment 1426398 [details]
File: cpuinfo

Comment 5 mastaiza 2018-04-25 05:04:38 UTC
Created attachment 1426399 [details]
File: dso_list

Comment 6 mastaiza 2018-04-25 05:04:40 UTC
Created attachment 1426400 [details]
File: environ

Comment 7 mastaiza 2018-04-25 05:04:41 UTC
Created attachment 1426401 [details]
File: limits

Comment 8 mastaiza 2018-04-25 05:04:43 UTC
Created attachment 1426402 [details]
File: maps

Comment 9 mastaiza 2018-04-25 05:04:45 UTC
Created attachment 1426403 [details]
File: mountinfo

Comment 10 mastaiza 2018-04-25 05:04:47 UTC
Created attachment 1426404 [details]
File: open_fds

Comment 11 mastaiza 2018-04-25 05:04:48 UTC
Created attachment 1426405 [details]
File: proc_pid_status

Comment 12 mastaiza 2018-04-25 05:04:50 UTC
Created attachment 1426406 [details]
File: var_log_messages

Comment 13 Giacomo Longo 2018-05-16 09:55:17 UTC
Similar problem has been detected:

First boot

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: CRYPTO_zalloc
executable:     /usr/libexec/packagekitd
journald_cursor: s=c872af7cae6446ea9d68323b32f89af1;i=64fc2;b=de6c88a68d274de0ad2808f1430a801b;m=550c94b93;t=56c435a829f00;x=d8a519d324a79802
kernel:         4.16.8-300.fc28.x86_64
package:        PackageKit-1.1.10-1.fc28
reason:         packagekitd killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 14 Giacomo Longo 2018-05-16 09:55:22 UTC
Created attachment 1437207 [details]
File: backtrace

Comment 15 Ben Cotton 2019-05-02 21:45:39 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-28 20:15:59 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.